﻿// <auto-generated />
using System;
using EpiTicket.Models;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace EpiTicket.Migrations
{
    [DbContext(typeof(TicketContext))]
    [Migration("20190517162957_Tres")]
    partial class Tres
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.4-servicing-10062")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("EpiTicket.Models.Association", b =>
                {
                    b.Property<int>("AssociationId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name")
                        .IsRequired();

                    b.HasKey("AssociationId");

                    b.ToTable("Associations");
                });

            modelBuilder.Entity("EpiTicket.Models.Event", b =>
                {
                    b.Property<string>("EventId")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AssociationId");

                    b.Property<long>("Capacity");

                    b.Property<string>("Description");

                    b.Property<DateTime>("EndDate");

                    b.Property<string>("Location")
                        .IsRequired();

                    b.Property<string>("Name")
                        .IsRequired();

                    b.Property<string>("Poster");

                    b.Property<float>("Price");

                    b.Property<DateTime>("StartDate");

                    b.HasKey("EventId");

                    b.HasIndex("AssociationId");

                    b.ToTable("Events");
                });

            modelBuilder.Entity("EpiTicket.Models.Membership", b =>
                {
                    b.Property<int>("MembershipId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("AssociationId");

                    b.Property<string>("UserId");

                    b.HasKey("MembershipId");

                    b.HasIndex("UserId");

                    b.HasIndex("AssociationId", "UserId")
                        .IsUnique()
                        .HasFilter("[UserId] IS NOT NULL");

                    b.ToTable("Membership");
                });

            modelBuilder.Entity("EpiTicket.Models.Ticket", b =>
                {
                    b.Property<string>("TicketUUID")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("EventId");

                    b.Property<string>("EventId1");

                    b.Property<int>("UserId");

                    b.Property<string>("UserId1");

                    b.HasKey("TicketUUID");

                    b.HasIndex("EventId1");

                    b.HasIndex("UserId1");

                    b.ToTable("Ticket");
                });

            modelBuilder.Entity("EpiTicket.Models.User", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AccessFailedCount");

                    b.Property<string>("ConcurrencyStamp");

                    b.Property<string>("Email");

                    b.Property<bool>("EmailConfirmed");

                    b.Property<bool>("LockoutEnabled");

                    b.Property<DateTimeOffset?>("LockoutEnd");

                    b.Property<string>("NormalizedEmail");

                    b.Property<string>("NormalizedUserName");

                    b.Property<string>("PasswordHash");

                    b.Property<string>("PhoneNumber");

                    b.Property<bool>("PhoneNumberConfirmed");

                    b.Property<string>("SecurityStamp");

                    b.Property<bool>("TwoFactorEnabled");

                    b.Property<string>("UserName");

                    b.HasKey("Id");

                    b.ToTable("User");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType");

                    b.Property<string>("ClaimValue");

                    b.Property<string>("UserId");

                    b.HasKey("Id");

                    b.ToTable("IdentityUserClaim");
                });

            modelBuilder.Entity("EpiTicket.Models.Event", b =>
                {
                    b.HasOne("EpiTicket.Models.Association", "Organizer")
                        .WithMany("Events")
                        .HasForeignKey("AssociationId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("EpiTicket.Models.Membership", b =>
                {
                    b.HasOne("EpiTicket.Models.Association", "Association")
                        .WithMany("Memberships")
                        .HasForeignKey("AssociationId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("EpiTicket.Models.User", "User")
                        .WithMany()
                        .HasForeignKey("UserId");
                });

            modelBuilder.Entity("EpiTicket.Models.Ticket", b =>
                {
                    b.HasOne("EpiTicket.Models.Event", "Event")
                        .WithMany("Tickets")
                        .HasForeignKey("EventId1");

                    b.HasOne("EpiTicket.Models.User", "User")
                        .WithMany()
                        .HasForeignKey("UserId1");
                });
#pragma warning restore 612, 618
        }
    }
}
